function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, PrimaryColumn, Column, Index, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { id } from "../id.js";
export let App = class App {
    id;
    createdAt;
    userId;
    user;
    secret;
    name;
    description;
    permission;
    callbackUrl;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], App.prototype, "id", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone", {
        comment: "The created date of the App."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], App.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        nullable: true,
        comment: "The owner ID."
    }),
    _ts_metadata("design:type", Object)
], App.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "SET NULL",
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], App.prototype, "user", void 0);
_ts_decorate([
    Index(),
    Column("varchar", {
        length: 64,
        comment: "The secret key of the App."
    }),
    _ts_metadata("design:type", String)
], App.prototype, "secret", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128,
        comment: "The name of the App."
    }),
    _ts_metadata("design:type", String)
], App.prototype, "name", void 0);
_ts_decorate([
    Column("varchar", {
        length: 512,
        comment: "The description of the App."
    }),
    _ts_metadata("design:type", String)
], App.prototype, "description", void 0);
_ts_decorate([
    Column("varchar", {
        length: 64,
        array: true,
        comment: "The permission of the App."
    }),
    _ts_metadata("design:type", Array)
], App.prototype, "permission", void 0);
_ts_decorate([
    Column("varchar", {
        length: 512,
        nullable: true,
        comment: "The callbackUrl of the App."
    }),
    _ts_metadata("design:type", Object)
], App.prototype, "callbackUrl", void 0);
App = _ts_decorate([
    Entity()
], App);
